if (timing > 4 && shop_over == false) 
{if (entity.name == "Clark - Traveling Merchant" && messageVal [15] == false) 
{messageTrig = 12; timing = 0;} else {messageTrig = 15; timing = 0;}}
if (timing > 4) {timing = 0; 
if (shop_over == false) {shop_over = true;} 
else {shop_over = false; player.setVelocity(0, 0, 0);}
shopActive = 0; traderMoney = money; tradeValues();}